%define release 2mdk
%define version 2.2.4

Summary: A GNU program for formatting C code.
Name: indent
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/C
Source: ftp://ftp.gnu.org/pub/gnu/indent/%{name}-%{version}.tar.bz2
Prereq: /sbin/install-info
BuildRoot: /var/tmp/indent-root

%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you'd like to format your code automatically.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,info,man/man1}

make prefix=$RPM_BUILD_ROOT/usr install
bzip2 -9f $RPM_BUILD_ROOT/usr/info/indent.info*
install -m644 indent.1 $RPM_BUILD_ROOT/usr/man/man1

strip $RPM_BUILD_ROOT/usr/bin/indent

bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/indent.info.bz2 /usr/info/dir --entry="* indent: (indent).				Program to format source code."

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete /usr/info/indent.info.bz2 /usr/info/dir --entry="* indent: (indent).                 	 Program to format source code."
fi

%files
%defattr(-,root,root)
/usr/bin/indent
/usr/man/man1/indent.1*
/usr/info/indent.info*

%changelog
* Thu Apr 4 2000 Denis Havlik <denis@mandrakesoft.com> 2.2.4-2mdk
- new group: Development/C
- spechelper 

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.4.

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Sun Aug  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.0

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Insert PO-Traduction.
- 2.1.1

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.0

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- use install-info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
